"use strict";
/*
 * Copyright 2020-2023 Delft University of Technology and SynTest contributors
 *
 * This file is part of SynTest Framework - SynTest Javascript.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractSyntaxTreeGenerator = void 0;
const defaultBabelConfig_1 = require("./defaultBabelConfig");
const core_1 = require("@babel/core");
class AbstractSyntaxTreeGenerator {
    generate(source) {
        const options = JSON.parse(JSON.stringify(defaultBabelConfig_1.defaultBabelOptions));
        const codeMap = (0, core_1.transformSync)(source, options);
        return codeMap.ast;
    }
}
exports.AbstractSyntaxTreeGenerator = AbstractSyntaxTreeGenerator;
//# sourceMappingURL=AbstractSyntaxTreeGenerator.js.map